Bug 1213739 - Review Request: status-report - Generate status report stats for selected date range
Summary: Review Request: status-report - Generate status report stats for selected dat...
Keywords:
Status: CLOSED DUPLICATE of bug 1262394
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-21 08:04 UTC by Petr Šplíchal
Modified: 2016-06-02 11:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-02 11:33:39 UTC
mizdebsk: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Šplíchal 2015-04-21 08:04:01 UTC
Spec URL:
https://psss.fedorapeople.org/status-report/download/status-report.spec

SRPM URL:
https://psss.fedorapeople.org/status-report/download/status-report-0.1-0.el7.src.rpm

Fedora Account System Username:
psss

Description:
Comfortably generate status report stats (e.g. list of committed
changes) for given week, month, quarter, year or selected date
range. By default all available stats for this week are reported.

Links:
https://github.com/psss/status-report
https://psss.fedorapeople.org/status-report/
https://copr.fedoraproject.org/coprs/psss/status-report/

Additional info:
Package successfully built in COPR. See the link above.

Comment 1 Mikolaj Izdebski 2015-04-22 06:20:56 UTC
There are a few issues:
1) release should be bumped to 1 (0 is special case and should be used for pre-releases only)
2) license tag should be "GPLv2+" instead of "GPLv2"
3) %license macro should be used instead of %doc for installing LICENSE file

Also group is not needed (but it can be kept if you want).

Comment 2 Petr Šplíchal 2015-04-22 07:53:33 UTC
Thanks for the feedback, Mikolaj. I've committed the required
changes and successfully built a new package:

https://psss.fedorapeople.org/status-report/download/status-report-1.0-0.el7.src.rpm
https://copr.fedoraproject.org/coprs/psss/status-report/build/87524/
https://github.com/psss/status-report/commit/d5d3bd7

Comment 3 Mikolaj Izdebski 2015-04-22 08:01:32 UTC
Release field is still 0. Please fix it during import. Other that that it looks good.


Package Review
==============

Key:
- = N/A
x = Check
! = Problem

[x] rpmlint must be run on the source rpm and all binary rpms the
    build produces.  The output should be posted in the review.

[x] The package must be named according to the Package Naming
    Guidelines.

[x] The spec file name must match the base package %{name}, in the
    format %{name}.spec unless your package has an exemption.

[x] The package must meet the Packaging Guidelines.

[x] The package must be licensed with a Fedora approved license and
    meet the Licensing Guidelines.

[x] The License field in the package spec file must match the actual
    license.

[x] If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of
    the license(s) for the package must be included in %doc.

[x] The spec file must be written in American English.

[x] The spec file for the package MUST be legible.

[x] The sources used to build the package must match the upstream
    source, as provided in the spec URL.  Reviewers should use
    sha256sum for this task as it is used by the sources file once
    imported into git.  If no upstream URL can be specified for this
    package, please see the Source URL Guidelines for how to deal with
    this.

[x] The package MUST successfully compile and build into binary rpms
    on at least one primary architecture.

[x] If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the
    spec in ExcludeArch.  Each architecture listed in ExcludeArch MUST
    have a bug filed in bugzilla, describing the reason that the
    package does not compile/build/work on that architecture.  The bug
    number MUST be placed in a comment, next to the corresponding
    ExcludeArch line.

[x] All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging
    Guidelines; inclusion of those as BuildRequires is optional.
    Apply common sense.

[x] The spec file MUST handle locales properly.  This is done by using
    the %find_lang macro.  Using %{_datadir}/locale/* is strictly
    forbidden.

[x] Every binary RPM package (or subpackage) which stores shared
    library files (not just symlinks) in any of the dynamic linker's
    default paths, must call ldconfig in %post and %postun.

[x] Packages must NOT bundle copies of system libraries.

[x] If the package is designed to be relocatable, the packager must
    state this fact in the request for review, along with the
    rationalization for relocation of that specific package.  Without
    this, use of Prefix: /usr is considered a blocker.

[x] A package must own all directories that it creates.  If it does
    not create a directory that it uses, then it should require a
    package which does create that directory.

[x] A Fedora package must not list a file more than once in the spec
    file's %files listings.  (Notable exception: license texts in
    specific situations.)

[x] Permissions on files must be set properly.  Executables should be
    set with executable permissions, for example.

[x] Each package must consistently use macros.

[x] The package must contain code, or permissible content.

[x] Large documentation files must go in a -doc subpackage.  (The
    definition of large is left up to the packager's best judgement,
    but is not restricted to size.  Large can refer to either size or
    quantity).

[x] If a package includes something as %doc, it must not affect the
    runtime of the application.  To summarize: If it is in %doc, the
    program must run properly if it is not present.

[x] Static libraries must be in a -static package.

[x] Development files must be in a -devel package.

[x] In the vast majority of cases, devel packages must require the
    base package using a fully versioned dependency: Requires:
    %{name}%{?_isa} = %{version}-%{release}

[x] Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.

[x] Packages containing GUI applications must include a
    %{name}.desktop file, and that file must be properly installed
    with desktop-file-install in the %install section.  If you feel
    that your packaged GUI application does not need a .desktop file,
    you must put a comment in the spec file with your explanation.

[x] Packages must not own files or directories already owned by other
    packages.  The rule of thumb here is that the first package to be
    installed should own the files or directories that other packages
    may rely upon.  This means, for example, that no package in Fedora
    should ever share ownership with any of the files or directories
    owned by the filesystem or man package.  If you feel that you have
    a good reason to own a file or directory that another package
    owns, then please present that at package review time.

[x] All filenames in rpm packages must be valid UTF-8.


rpmlint output
--------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 4 Petr Šplíchal 2015-04-22 08:06:00 UTC
(In reply to Mikolaj Izdebski from comment #3)
> Release field is still 0. Please fix it during import. Other
> that that it looks good.

Oh, I see. I thought the problem was the Version field. I've fixed
the Release. Now everything should be hopefully fine:

https://psss.fedorapeople.org/status-report/download/status-report-0.2-1.el7.src.rpm

Thanks much for the review!

Comment 5 Petr Šplíchal 2015-04-23 08:59:55 UTC
New Package SCM Request
=======================
Package Name: status-report
Short Description: Generate status report stats for selected date range
Upstream URL: https://psss.fedorapeople.org/status-report/
Owners: psss
Branches: f20 f21 f22 el6 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2015-04-23 12:40:20 UTC
Git done (by process-git-requests).

Comment 8 Petr Šplíchal 2016-06-02 11:33:39 UTC
This is a duplicate review request. The original package
status-report has been renamed to "did" and has successfully
passed the review proces in bug 1262394. Closing the bug.

*** This bug has been marked as a duplicate of bug 1262394 ***


Note You need to log in before you can comment on or make changes to this bug.